com.atid.lib.reader.params

## Class StoredDataList

- java.lang.Object
- - java.util.AbstractCollection<E>
  - - java.util.AbstractList<E>
    - - java.util.ArrayList<StoredDataList.StoredData>
      - - com.atid.lib.reader.params.StoredDataList

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, java.lang.Iterable<StoredDataList.StoredData>, java.util.Collection<StoredDataList.StoredData>, java.util.List<StoredDataList.StoredData>, java.util.RandomAccess

      public class StoredDataList
      extends java.util.ArrayList<StoredDataList.StoredData>

  The StoredDataList class is used to read or store data stored in the Device.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `class` | `StoredDataList.StoredData` The StoredData class is used by the StoredDataList class to represent each piece of data stored in the Device.

  - ### Field Summary

    - ### Fields inherited from class java.util.AbstractList

      `modCount`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StoredDataList()`

  - ### Method Summary

    - ### Methods inherited from class java.util.ArrayList

      `add, add, addAll, addAll, clear, clone, contains, ensureCapacity, forEach, get, indexOf, isEmpty, iterator, lastIndexOf, listIterator, listIterator, remove, remove, removeAll, removeIf, removeRange, replaceAll, retainAll, set, size, sort, spliterator, subList, toArray, toArray, trimToSize`

    - ### Methods inherited from class java.util.AbstractList

      `equals, hashCode`

    - ### Methods inherited from class java.util.AbstractCollection

      `containsAll, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.List

      `containsAll, equals, hashCode`

    - ### Methods inherited from interface java.util.Collection

      `parallelStream, stream`

- - ### Constructor Detail

    - #### StoredDataList

          public StoredDataList()